> For the complete documentation index, see [llms.txt](https://docs.mulearn.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mulearn.org/api-reference/leaderboard.md).

# Leaderboard

## GET /api/v1/leaderboard/campus-mentor/{campus\_id}/

> Retrieve the mentor leaderboard for a specific campus. Mentors are ranked primarily by the number of COMPLETED campus sessions, with total karma as a tiebreaker.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"CampusMentorLeaderboard":{"type":"object","properties":{"mentor_id":{"type":"string"},"mentor_name":{"type":"string"},"profile_pic":{"type":"string","readOnly":true},"campus_name":{"type":"string","readOnly":true},"total_karma":{"type":"integer"},"completed_sessions":{"type":"integer"},"rank":{"type":"string","readOnly":true}},"required":["campus_name","completed_sessions","mentor_id","mentor_name","profile_pic","rank","total_karma"]}}},"paths":{"/api/v1/leaderboard/campus-mentor/{campus_id}/":{"get":{"operationId":"leaderboard_campus_mentor_list","description":"Retrieve the mentor leaderboard for a specific campus. Mentors are ranked primarily by the number of COMPLETED campus sessions, with total karma as a tiebreaker.","parameters":[{"in":"path","name":"campus_id","schema":{"type":"string"},"required":true}],"tags":["Leaderboard"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"type":"array","items":{"$ref":"#/components/schemas/CampusMentorLeaderboard"}}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/leaderboard/college/

> Retrieve College Leaderboard.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"LeaderboardCollegeItem":{"type":"object","properties":{"id":{"type":"string"},"code":{"type":"string"},"title":{"type":"string"},"total_students":{"type":"integer"},"total_karma":{"type":"integer"}},"required":["code","id","title","total_karma","total_students"]}}},"paths":{"/api/v1/leaderboard/college/":{"get":{"operationId":"leaderboard_college_list","description":"Retrieve College Leaderboard.","tags":["Leaderboard"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"type":"array","items":{"$ref":"#/components/schemas/LeaderboardCollegeItem"}}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/leaderboard/college-monthly/

> Retrieve College Monthly Leaderboard.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"LeaderboardCollegeMonthlyItem":{"type":"object","properties":{"id":{"type":"string"},"code":{"type":"string"},"total_karma":{"type":"integer"},"students":{"type":"integer"}},"required":["code","id","students","total_karma"]}}},"paths":{"/api/v1/leaderboard/college-monthly/":{"get":{"operationId":"leaderboard_college_monthly_list","description":"Retrieve College Monthly Leaderboard.","tags":["Leaderboard"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"type":"array","items":{"$ref":"#/components/schemas/LeaderboardCollegeMonthlyItem"}}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/leaderboard/ig-mentor/{ig\_id}/

> Retrieve the mentor leaderboard for a specific Interest Group. Mentors are ranked primarily by the number of COMPLETED sessions in that IG, with total karma as a tiebreaker.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"IGMentorLeaderboard":{"type":"object","properties":{"mentor_id":{"type":"string"},"mentor_name":{"type":"string"},"profile_pic":{"type":"string","readOnly":true},"ig_name":{"type":"string","readOnly":true},"total_karma":{"type":"integer"},"completed_sessions":{"type":"integer"},"rank":{"type":"string","readOnly":true}},"required":["completed_sessions","ig_name","mentor_id","mentor_name","profile_pic","rank","total_karma"]}}},"paths":{"/api/v1/leaderboard/ig-mentor/{ig_id}/":{"get":{"operationId":"leaderboard_ig_mentor_list","description":"Retrieve the mentor leaderboard for a specific Interest Group. Mentors are ranked primarily by the number of COMPLETED sessions in that IG, with total karma as a tiebreaker.","parameters":[{"in":"path","name":"ig_id","schema":{"type":"string"},"required":true}],"tags":["Leaderboard"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"type":"array","items":{"$ref":"#/components/schemas/IGMentorLeaderboard"}}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/leaderboard/students/

> Retrieve Students Leaderboard.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"StudentLeaderboard":{"type":"object","properties":{"muid":{"type":"string","maxLength":100},"full_name":{"type":"string"},"total_karma":{"type":"integer","default":0},"institution":{"type":"string","readOnly":true},"profile_pic":{"type":"string","readOnly":true}},"required":["full_name","institution","muid","profile_pic"]}}},"paths":{"/api/v1/leaderboard/students/":{"get":{"operationId":"leaderboard_students_retrieve","description":"Retrieve Students Leaderboard.","tags":["Leaderboard"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/StudentLeaderboard"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/leaderboard/students-monthly/

> Retrieve Students Monthly Leaderboard.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"LeaderboardStudentsMonthlyItem":{"type":"object","properties":{"muid":{"type":"string"},"full_name":{"type":"string"},"total_karma":{"type":"integer"},"institution":{"type":"string","nullable":true},"profile_pic":{"type":"string","nullable":true}},"required":["full_name","institution","muid","profile_pic","total_karma"]}}},"paths":{"/api/v1/leaderboard/students-monthly/":{"get":{"operationId":"leaderboard_students_monthly_list","description":"Retrieve Students Monthly Leaderboard.","tags":["Leaderboard"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"type":"array","items":{"$ref":"#/components/schemas/LeaderboardStudentsMonthlyItem"}}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/leaderboard/wadhwani-college/

> Retrieve Wadhwani College Leaderboard.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"WadhwaniCollegeLeaderboard":{"type":"object","properties":{"code":{"type":"string"},"title":{"type":"string"},"total_karma":{"type":"integer"},"students":{"type":"integer"}},"required":["code","students","title","total_karma"]}}},"paths":{"/api/v1/leaderboard/wadhwani-college/":{"get":{"operationId":"leaderboard_wadhwani_college_retrieve","description":"Retrieve Wadhwani College Leaderboard.","tags":["Leaderboard"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/WadhwaniCollegeLeaderboard"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/leaderboard/wadhwani-zonal/

> Retrieve Wadhwani Zonal Leaderboard.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"WadhwaniZoneLeaderboard":{"type":"object","properties":{"zone_name":{"type":"string"},"total_karma":{"type":"integer"},"students":{"type":"integer"}},"required":["students","total_karma","zone_name"]}}},"paths":{"/api/v1/leaderboard/wadhwani-zonal/":{"get":{"operationId":"leaderboard_wadhwani_zonal_retrieve","description":"Retrieve Wadhwani Zonal Leaderboard.","tags":["Leaderboard"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/WadhwaniZoneLeaderboard"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mulearn.org/api-reference/leaderboard.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
